Last Comment Bug 819183 - (gfxglitch) Rendering Issues after rotating Motorola Defy XT, Samsung Appeal, Galaxy Mini 2 (GT-S6500), Galaxy Ace Q (i827d), HP Touchpad, Galaxy Ace Plus
(gfxglitch)
: Rendering Issues after rotating Motorola Defy XT, Samsung Appeal, Galaxy Mini...
Status: NEW
gfx
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: ARM Android
: P5 normal with 4 votes (vote)
: ---
Assigned To: George Wright (:gw280) (:gwright)
:
: Milan Sreckovic [:milan]
Mentors:
: 768882 826356 841907 845359 845360 847431 848259 911598 (view as bug list)
Depends on:
Blocks: 801554
  Show dependency treegraph
 
Reported: 2012-12-06 17:09 PST by Ryan
Modified: 2014-10-20 11:47 PDT (History)
15 users (show)
milan: needinfo? (gwright)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
affected
affected
affected
affected
affected
affected
affected
affected
affected
+


Attachments
Buggy Rendering (2.35 MB, image/jpeg)
2012-12-06 17:09 PST, Ryan
no flags Details
Gene's Portrait_to_Landscape.png (88.76 KB, image/png)
2013-01-10 13:37 PST, Chris Peterson [:cpeterson]
no flags Details
Gene's Landscape_to_Portrait.png (68.03 KB, image/png)
2013-01-10 13:37 PST, Chris Peterson [:cpeterson]
no flags Details
Work-around for buggy surface resizing (1.27 KB, patch)
2013-03-04 08:49 PST, Chris Lord [:cwiiis]
no flags Details | Diff | Splinter Review

Description Ryan 2012-12-06 17:09:00 PST
Created attachment 689480 [details]
Buggy Rendering

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0
Build ID: 20121128060531

Steps to reproduce:

Open Firefox in Portrait

or

Open Firefox in Landscape


Actual results:

Web Page is rendered correctly on open. When you rotate the phone to landscape (when opened in portrait) or rotate the phone to portrait, the rendering gets "squished".




Expected results:

Webpage is rendered to fit landscape or portrait correctly.
Comment 1 Kevin Brosnan [:kbrosnan] 2012-12-06 17:39:41 PST
How does http://nightly.mozilla.org Android build behave?
Comment 2 Ryan 2012-12-06 18:32:58 PST
The nightly still has the same type of behavior when switching between portrait/landscape.


Specs of my phone just in case:

DEFYXT557
Android 2.3.7
Kernel version: Apps_2.6.38.6-perf
Build Number: 1_65G_1027
Comment 3 Kartikaya Gupta (email:kats@mozilla.com) 2012-12-06 21:42:31 PST
Is the behaviour transient? i.e. if you try to pan or interact with the page, does it fix itself? How about rotating back, does that fix the problem? Or is just completely hosed once it gets into this state?
Comment 4 Aaron Train [:aaronmt] 2012-12-07 06:36:40 PST
XT535

* Android 2.3
* 1GHz (MSM7227A) / 512MB 
* Adreno 200
Comment 5 Ryan 2012-12-07 06:41:15 PST
If I rotate it back to the original orientation, the one when Firefox was opened, rendering goes back to normal. I can interact with the buggy state of the webpage, but it's only limited to scrolling, and it remains in the unusable buggy state like it does in the attachment.
Comment 6 Kartikaya Gupta (email:kats@mozilla.com) 2012-12-07 13:20:15 PST
I can't think of anything offhand that might cause this, particularly if it's happening on both release and nightly (i.e. it's not tiling-related). We would need to reproduce and investigate, but afaik we don't have any of these devices lying around.
Comment 7 Benoit Girard (:BenWa) 2012-12-07 13:25:50 PST
Thanks, we've seen those before. This is caused by broken drivers that are out of date. Let me find the other bug report that was from another device.

Do you have an animated background?
Comment 8 Benoit Girard (:BenWa) 2012-12-07 13:34:25 PST
I can't find the bug :(
Comment 9 Ryan 2012-12-07 18:13:41 PST
No animated wallpapers or backgrounds. I submitted a bug request with republic wireless but it's not going anywhere either. I cannot think I'd be the only one using this device trying Firefox for Android.

I did try restoring the device to factory settings as well but the bug remains.
Comment 10 Mr. Gecko 2012-12-14 08:52:38 PST
I have this issue on my Defy XT as well.
I am rooted so if you need me to do anything special, let me know.
Comment 11 Aaron Train [:aaronmt] 2012-12-14 09:01:00 PST
Can anything be done here?
Comment 12 Brad Lassey [:blassey] (use needinfo?) 2012-12-20 10:22:20 PST
BenWa, what can be done here?
Comment 13 Mr. Gecko 2012-12-20 10:55:51 PST
If this is a driver issue... It might be fixed by the Over The Air update from Republic Wireless. I am guessing most of us are using Republic Wireless.
Comment 14 Brad Lassey [:blassey] (use needinfo?) 2013-01-03 10:23:52 PST
(In reply to Aaron Train [:aaronmt] from comment #4)
> XT535
> 
> * Android 2.3
> * 1GHz (MSM7227A) / 512MB 
> * Adreno 200

Aaron, does this mean you were able to reproduce? If so, can you show BenWa and Kats?
Comment 15 Aaron Train [:aaronmt] 2013-01-03 12:00:01 PST
No was just listing the device spec from comment #0 and toggled to new as per the screenshot indication.
Comment 16 Benoit Girard (:BenWa) 2013-01-03 12:37:05 PST
(In reply to Brad Lassey [:blassey] from comment #12)
> BenWa, what can be done here?

Since this is a driver bug the best we could do is spend time to try and work around the issue. It's hard to know how much time is required to come up with a work around for these kind of issues.

It may be possible to push a white/black frame ASAP to cover up the corruption.
Comment 17 Aaron Train [:aaronmt] 2013-01-03 13:21:27 PST
*** Bug 826356 has been marked as a duplicate of this bug. ***
Comment 18 Gene Wood [:gene] 2013-01-03 14:12:16 PST
And are Defy XT users also experiencing the non landscape/portrait phenomenon that I show in my video in Bug 826356 where, while on a google search results page, if you put your cursor in the google search bar (not the firefox url bar), the keyboard appears and the top half of the page goes white, with a floating orange cursor and about 10 pixels of the page visible above the keyboard? : https://www.youtube.com/watch?v=BUYwKqPilSw&feature=player_detailpage#t=24s

Wondering if it's related and everyone's seeing it or it's just me.
Comment 19 Brad Lassey [:blassey] (use needinfo?) 2013-01-04 08:48:21 PST
related to bug 768882?
Comment 20 Brad Lassey [:blassey] (use needinfo?) 2013-01-08 06:03:37 PST
(In reply to Aaron Train [:aaronmt] from comment #15)
> No was just listing the device spec from comment #0 and toggled to new as
> per the screenshot indication.

i was referring to moving it from unconfirmed to new
Comment 21 Brad Lassey [:blassey] (use needinfo?) 2013-01-10 10:24:30 PST
Chris can you take a look at Gene's phone?
Comment 22 Chris Peterson [:cpeterson] 2013-01-10 13:35:59 PST
After examining Gene's phone, I believe this is a tile rendering bug related to orientation changes.

When a page is loaded in portrait orientation and the user rotates the phone to landscape orientation, the page becomes scrambled. The page is rendered at half the landscape height and the horizontal tile stride looks incorrect. The attached Portrait_to_Landscape.png screenshot shows what looks like 9 portrait tiles rendered on side-by-side per landscape tile.

The layout engine knows the orientation's correct dimensions because focusing a text input field will display the orange text selection handle in the correct position. So this looks like a bug only in the graphics code's handling of orientation changes.
Comment 23 Chris Peterson [:cpeterson] 2013-01-10 13:37:04 PST
Created attachment 700651 [details]
Gene's Portrait_to_Landscape.png
Comment 24 Chris Peterson [:cpeterson] 2013-01-10 13:37:26 PST
Created attachment 700652 [details]
Gene's Landscape_to_Portrait.png
Comment 25 Chris Peterson [:cpeterson] 2013-01-10 13:38:11 PST
Since this is a tile rendering bug, Cwiiis is probably a better person to fix the bug.
Comment 26 Chris Lord [:cwiiis] 2013-01-11 04:00:48 PST
(In reply to Chris Peterson (:cpeterson) from comment #25)
> Since this is a tile rendering bug, Cwiiis is probably a better person to
> fix the bug.

I really don't think this has anything to do with tiles, tile-size doesn't change on orientation switch. Looks like a driver bug to me, as mentioned in previous comments - likely it isn't handling the surface resize correctly. Possibly something we can work around, but not having the device or any other device that exhibits this problem means there's nothing I can do about it.

What's the exact model number? I could expense it if I know exactly which model it is, though it's possible a phone I'd buy here wouldn't exhibit the bug due to updated firmware...
Comment 27 Gene Wood [:gene] 2013-01-11 10:30:41 PST
It happens on my phone which has these attributes :
Model : XT557
Android Version : 2.3.7
Baseband Version : PCR
Kernel Version : Apps_2.6.38.6-perf
Build Number : 1_65H_1027
Carrier : http://www.republicwireless.com/

If the problem isn't tile based, if someone in SF has the ability to diagnose it, they're welcome to use my phone all day any day.
Comment 28 Kevin Brosnan [:kbrosnan] 2013-01-29 18:22:02 PST
Chris Lord does it make sense for you to expense it or maybe we could bring one to the mobile team week? I think this is a user report of the issue in the forums https://support.mozilla.org/en-US/questions/948702
Comment 29 Kevin Brosnan [:kbrosnan] 2013-02-12 17:49:33 PST
Another user report in the support forums using a Samsung Galaxy Appeal.
Comment 30 Aaron Train [:aaronmt] 2013-02-13 10:44:07 PST
http://www.samsung.com/us/mobile/cell-phones/SGH-I827ZSAATT AT&T
Comment 31 Aaron Train [:aaronmt] 2013-02-15 14:11:06 PST
*** Bug 841907 has been marked as a duplicate of this bug. ***
Comment 32 Aaron Train [:aaronmt] 2013-02-15 14:12:11 PST
Galaxy Mini 2 Bug 841907. Re-requesting tracking for 21?
Comment 33 Chris Lord [:cwiiis] 2013-02-17 01:09:28 PST
(In reply to Kevin Brosnan [:kbrosnan] from comment #28)
> Chris Lord does it make sense for you to expense it or maybe we could bring
> one to the mobile team week? I think this is a user report of the issue in
> the forums https://support.mozilla.org/en-US/questions/948702

Bringing one to the mobile work week would be handy, certainly. I'm going to rename this bug as it almost certainly has nothing to do with tiles.
Comment 34 Aaron Train [:aaronmt] 2013-02-26 08:30:16 PST
*** Bug 845359 has been marked as a duplicate of this bug. ***
Comment 35 mirleau 2013-02-26 14:35:16 PST
(In reply to Gene Wood [:gene] from comment #18)
> And are Defy XT users also experiencing the non landscape/portrait
> phenomenon that I show in my video in Bug 826356 where, while on a google
> search results page, if you put your cursor in the google search bar (not
> the firefox url bar), the keyboard appears and the top half of the page goes
> white, with a floating orange cursor and about 10 pixels of the page visible
> above the keyboard? :
> https://www.youtube.com/watch?v=BUYwKqPilSw&feature=player_detailpage#t=24s
> 
> Wondering if it's related and everyone's seeing it or it's just me.

Yes I see that phenomenon on my Galaxy Mini 2 (GT-S6500), along with the main phenomenon of this bug.
Comment 36 mirleau 2013-02-26 14:48:37 PST
May or may not be relevant:

The scrambling phenomenon on my Galaxy Mini 2 (GT-S6500) seems to only occur when trying to change the orientation of WEBPAGES. It does not occur on the about:home page. I.e. if I am on the about:home page, then I can change orientation without getting scrambled.
See also the pictures appended to bug 845359.
Comment 37 Ryan 2013-02-26 17:27:29 PST
(In reply to mirleau from comment #35)
> (In reply to Gene Wood [:gene] from comment #18)
> > And are Defy XT users also experiencing the non landscape/portrait
> > phenomenon that I show in my video in Bug 826356 where, while on a google
> > search results page, if you put your cursor in the google search bar (not
> > the firefox url bar), the keyboard appears and the top half of the page goes
> > white, with a floating orange cursor and about 10 pixels of the page visible
> > above the keyboard? :
> > https://www.youtube.com/watch?v=BUYwKqPilSw&feature=player_detailpage#t=24s
> > 
> > Wondering if it's related and everyone's seeing it or it's just me.
> 
> Yes I see that phenomenon on my Galaxy Mini 2 (GT-S6500), along with the
> main phenomenon of this bug.

Yes, I see this on the Defy XT.
Comment 38 Dmitri Khokhlov 2013-03-01 21:27:14 PST
I have the same issue on Defy XT557
Android 2.3.7
Kernel Apps_2.6.38.6-perf
Comment 39 Chris Lord [:cwiiis] 2013-03-04 07:23:28 PST
So I have one of the affected phones at the moment and I'm looking at this - nothing obvious is failing, but it seems something with the surface negotiation process is going wrong and no error is being reported...

I'm going to try a few things, but atm I have nothing to say that sheds any further light on this situation :/
Comment 40 Chris Lord [:cwiiis] 2013-03-04 07:43:36 PST
My best guess for this atm is that the drivers for this chipset don't support resizing EGL surfaces, and when we're told the surface has resized, actually, it hasn't - Perhaps destroying and recreating the surface on resize might fix this.

The device I'm testing with has an Adreno 200 chipset (note, not 205) - do all of these devices have that in common?
Comment 41 Dmitri Khokhlov 2013-03-04 08:18:16 PST
(In reply to Chris Lord [:cwiiis] from comment #40)
> My best guess for this atm is that the drivers for this chipset don't
> support resizing EGL surfaces, and when we're told the surface has resized,
> actually, it hasn't - Perhaps destroying and recreating the surface on
> resize might fix this.
> 
> The device I'm testing with has an Adreno 200 chipset (note, not 205) - do
> all of these devices have that in common?

Here is sysfs from bad case:

$ adb shell ls /sys/devices/platform
uevent
power
power.0
reg-dummy
footswitch-pcom.2
msm_dmov
msm_smd
msm_serial.0
msm_serial_hs.0
msm_serial_hsl.0
msm_serial.2
msm_nand
qup_i2c.0
qup_i2c.1
msm_otg
msm_hsusb
android_pmem.0
android_pmem.1
rndis
usb_diag
usb_fserial
android_pmem.2
msm_snd
msm_adspdec
msm_fb.0
lcdc_toshiba_fwvga_pt.0
msm_camera_s5k4e1.0
msm_camera_imx072.0
msm_camera_ov9726.0
mipi_renesas.0
kgsl-3d0.0
msm-dsp-audio.0
msm-codec-dai.0
msm-cpu-dai.0
mdp.0
mipi_dsi.1
wlan_ar6000_pm_dev
msm_sdcc.1
msm_sdcc.2
msm_hsusb_host.0
ram_console.0
alog_ram_console.0
msm-battery
w1-gpio
android_usb
usb_mass_storage
gpio-keys
bcm4330_bt_power
bluesleep
bcm4330_wifi_power
msm_camera_ov5640af.0
msm_camera_ov7692.0
msm-handset
local_loopback.100
DS.0
DIAG.0
RPCCALL.0
DATA1.0
DATA2.0
DATA3.0
DATA4.0
DATA5.0
DATA6.0
DATA7.0
DATA8.0
DAL00.0
DATA22.0
DATA5_CNTL.0
DATA6_CNTL.0
DATA7_CNTL.0
DATA8_CNTL.0
oncrpc_router
rs30000081.65536
rs30000061.393216
rs30000060.458752
rs30000003.-21185617
rs30000002.196608
rs30000000.-1666429071
rs3000fffd.0
rs3000001d.-1165732093
rs3000005b.-1509783888
rs3000003c.851968
rs3000001b.262144
rs3000001a.262144
rs30000019.196608
rs30000017.65536
rs30000016.196608
rs30000091.196608
rs30000071.65536
rs30000014.131072
rs30000013.196608
rs30000012.262144
rs3000fe00.-1473427932
rs3000008c.327680
rs30000010.65536
rs3000006b.65536
rs3000000e.589824
rs30000089.327680
rs30000069.-84731838
rs300000a5.131072
rs30000048.262144
rs3000000a.65536
adsp_AUDPLAY0TASK
adsp_AUDPLAY1TASK
adsp_AUDPLAY2TASK
adsp_AUDPLAY3TASK
adsp_AUDPPTASK
adsp_AUDPREPROCTASK
adsp_RMTASK
adsp_AUDRECTASK
adsp_VFETASK
adsp_QCAMTASK
adsp_LPMTASK
adsp_JPEGTASK
adsp_VIDEOTASK
adsp_VDEC_LP_MODE
adsp_VIDEOENCTASK
adsp_VIDEO_AAC_VOC_TURBO
adsp_VIDEO_AMR_TURBO
adsp_WM_TURBO_MODE
adsp_VDEC_LP_MODE_TURBO
adsp_AUDREC1TASK
rs300000a3.131072
rs30000064.65536
headset_sensor.0
alarm
light.0
orientation.0
proximity.0
mipi_toshiba_fwvga.769
mipi_dsi.590593
mdp.590593
msm_fb.590593
soc-audio

$ adb shell cat /proc/cpuinfo
Processor       : ARMv7 Processor rev 1 (v7l)
BogoMIPS        : 503.70
Features        : swp half thumb fastmult vfp edsp thumbee neon vfpv3
CPU implementer : 0x41
CPU architecture: 7
CPU variant     : 0x0
CPU part        : 0xc05
CPU revision    : 1

Hardware        : QCT MSM7x27a FFA
Revision        : 0000
Serial          : 0000000000000000
Comment 42 Kevin Brosnan [:kbrosnan] 2013-03-04 08:20:02 PST
*** Bug 847431 has been marked as a duplicate of this bug. ***
Comment 43 Chris Lord [:cwiiis] 2013-03-04 08:26:19 PST
What I've looked at/tried:

- Looked at event ordering (is fine)
- Tried doing the resize in one shot instead of the current two-step process (still fails)
- Tried destroying the surface and recreating it on every change (just doesn't work, and can put the phone in an odd state - I might have got this wrong somehow, or broken some assumptions made in native gfx)
- Tried querying the surface width/height after creation, in case they differ to what we've been told by the changed event (they don't)

It just seems that the surface resizing on this device is broken. I would expect that if we tore down the LayerSurfaceView and recreated it on surface change, this would probably fix the issue, but also likely cause ugly artifacts (though that's obviously preferable to the current behaviour).

Will try a couple more things, but I'm kinda stumped on this and I think it'll take more considerable time to figure this out properly - I think it might be better for someone in gfx with some decent gpu debugging experience to take a look (Jeff maybe?)
Comment 44 Chris Lord [:cwiiis] 2013-03-04 08:36:48 PST
Ok, I've found a 'fix' for this - If I set visibility to invisible, then visible on the layout change of the SurfaceView, it works as expected. This looks fine too, though I don't know if this affects how it looks on devices that don't suffer from this problem (will test next)
Comment 45 Chris Lord [:cwiiis] 2013-03-04 08:46:19 PST
On an unaffected device, the fix causes intermittent flickering on rotate. It'd be good if we could find a better way of doing whatever the fix actually causes to happen, and failing that, to only use it based on chipset and/or driver version.

For reference, this is the output for an affected driver:

E/GeckoConsole(12825): Version: OpenGL ES 2.0 1849878
E/GeckoConsole(12825): Vendor: Qualcomm
E/GeckoConsole(12825): Renderer: Adreno (TM) 200
E/GeckoConsole(12825): FBO Texture Target: TEXTURE_2D
Comment 46 Chris Lord [:cwiiis] 2013-03-04 08:49:11 PST
Created attachment 720740 [details] [diff] [review]
Work-around for buggy surface resizing
Comment 47 mirleau 2013-03-04 10:09:21 PST
(In reply to Chris Lord [:cwiiis] from comment #40)

> 
> The device I'm testing with has an Adreno 200 chipset (note, not 205) - do
> all of these devices have that in common?

Hi Chris, I own the Galaxy Mini 2 (GT-S6500). I'm not sure how to determine the chipset you're asking for, but here's the output of the statements that Dmitri Khokhlov ran:

/ # ls /sys/devices/platform
DAL00.0                   i2c-gpio.5                rs30000002.196608
DATA1.0                   i2c-gpio.6                rs30000003.-21185617
DATA11.0                  kgsl-3d0.0                rs3000000a.65536
DATA2.0                   lcdc.0                    rs3000000e.589824
DATA3.0                   lcdc.196609               rs30000010.65536
DATA4.0                   lcdc_trebon_hvga.0        rs30000012.262144
DS.0                      lcdc_trebon_hvga.1        rs30000013.196608
RPCCALL.0                 leds-msm-pdm.0            rs30000014.131072
adsp_AUDPLAY0TASK         local_loopback.100        rs30000016.196608
adsp_AUDPLAY1TASK         mdp.0                     rs30000019.196608
adsp_AUDPLAY2TASK         mdp.196609                rs3000001a.262144
adsp_AUDPLAY3TASK         msm-battery               rs3000001b.262144
adsp_AUDPPTASK            msm-codec-dai.0           rs3000001d.-1165732093
adsp_AUDPREPROCTASK       msm-cpu-dai.0             rs3000003c.851968
adsp_AUDREC1TASK          msm-dsp-audio.0           rs30000048.262144
adsp_AUDRECTASK           msm-handset               rs3000005b.-1509783888
adsp_JPEGTASK             msm_adspdec               rs3000005f.262144
adsp_LPMTASK              msm_camera_sr300pc20.0    rs30000060.458752
adsp_QCAMTASK             msm_dmov                  rs30000061.393216
adsp_RMTASK               msm_fb.0                  rs30000064.65536
adsp_VDEC_LP_MODE         msm_fb.196609             rs30000069.-84731838
adsp_VDEC_LP_MODE_TURBO   msm_hsusb                 rs3000006b.65536
adsp_VFETASK              msm_nand                  rs30000071.65536
adsp_VIDEOENCTASK         msm_otg                   rs30000081.65536
adsp_VIDEOTASK            msm_sdcc.1                rs30000089.327680
adsp_VIDEO_AAC_VOC_TURBO  msm_sdcc.2                rs3000008c.327680
adsp_VIDEO_AMR_TURBO      msm_sdcc.3                rs30000091.196608
adsp_WM_TURBO_MODE        msm_serial.0              rs300000a3.131072
alarm                     msm_serial_hs.0           rs300000a5.131072
alps                      msm_smd                   rs300000a7.65536
android_pmem.0            msm_snd                   rs3000fe00.-1473427932
android_pmem.1            msm_vibrator              rs3000fffd.0
android_pmem.2            oncrpc_router             sec_jack
android_usb               pmic-leds                 soc-audio
bt_power.0                power                     uevent
dpram                     power.0                   usb_diag
footswitch-pcom.2         qup_i2c.0                 usb_fserial
gpio-event                qup_i2c.1                 usb_mass_storage
i2c-gpio.2                reg-dummy                 wlan_ar6000_pm_dev
i2c-gpio.3                rndis
i2c-gpio.4                rs30000000.-605429855


/ # cat /proc/cpuinfo
Processor       : ARMv7 Processor rev 1 (v7l)
BogoMIPS        : 122.47
Features        : swp half thumb fastmult vfp edsp thumbee neon vfpv3
CPU implementer : 0x41
CPU architecture: 7
CPU variant     : 0x0
CPU part        : 0xc05
CPU revision    : 1

Hardware        : QCT MSM7x27a FFA
Revision        : 0000
Serial          : 0000000000000000
Comment 48 mirleau 2013-03-04 10:16:55 PST
(In reply to Chris Lord [:cwiiis] from comment #40)
> 
> The device I'm testing with has an Adreno 200 chipset (note, not 205) - do
> all of these devices have that in common?

Or else maybe this spec helps:
http://www.gsmarena.com/samsung_galaxy_mini_2_s6500-3883.php
Comment 49 Chris Lord [:cwiiis] 2013-03-04 10:28:20 PST
(In reply to mirleau from comment #47)
> (In reply to Chris Lord [:cwiiis] from comment #40)
> Hi Chris, I own the Galaxy Mini 2 (GT-S6500). I'm not sure how to determine
> the chipset you're asking for, but here's the output of the statements that
> Dmitri Khokhlov ran:

You needn't worry, this is the device I tested on :)

The most useful output I think will be the GL driver vendor string - this gets output on the log on startup, you should see some lines similar to what I posted in comment #45.
Comment 50 Dmitri Khokhlov 2013-03-05 23:57:44 PST
is this fix pushed to beta?
can we get apk for testing?
Comment 51 Aaron Train [:aaronmt] 2013-03-06 01:29:04 PST
*** Bug 848259 has been marked as a duplicate of this bug. ***
Comment 52 Aaron Train [:aaronmt] 2013-03-06 01:30:26 PST
(In reply to Dmitri Khokhlov from comment #50)
> is this fix pushed to beta?
> can we get apk for testing?

No.
Comment 53 Chris Lord [:cwiiis] 2013-03-06 01:43:07 PST
(In reply to Aaron Train [:aaronmt] from comment #52)
> (In reply to Dmitri Khokhlov from comment #50)
> > is this fix pushed to beta?
> > can we get apk for testing?
> 
> No.

To elaborate, the fix attached to this bug interferes with phones that aren't affected by this bug (it causes flickering on rotate). We still need to investigate to figure out what exactly this patch is doing at a lower level to see if we can do that in a way that doesn't cause flickering.
Comment 54 Kartikaya Gupta (email:kats@mozilla.com) 2013-03-08 07:27:27 PST
(In reply to Chris Lord [:cwiiis] from comment #46)
> Created attachment 720740 [details] [diff] [review]
> Work-around for buggy surface resizing

Can we land this behind a default-disabled pref? That way at least we have some sort of fix for people who run into this problem.
Comment 55 Kartikaya Gupta (email:kats@mozilla.com) 2013-03-09 15:15:08 PST
*** Bug 845360 has been marked as a duplicate of this bug. ***
Comment 56 Aaron Train [:aaronmt] 2013-03-24 12:26:24 PDT
Ping re: ^?
Comment 57 Aaron Train [:aaronmt] 2013-03-26 13:19:06 PDT
*** Bug 768882 has been marked as a duplicate of this bug. ***
Comment 58 Aaron Train [:aaronmt] 2013-03-26 13:20:26 PDT
(In reply to Dmitri Khokhlov from comment #50)
> can we get apk for testing?

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/kgupta@mozilla.com-398c04f28527/try-android/fennec-22.0a1.en-US.android-arm.apk
Comment 59 Kartikaya Gupta (email:kats@mozilla.com) 2013-03-26 13:28:51 PDT
Btw I handed off the Galaxy Mini 2 that reproduces this problem to BenWa, who said he would take a look at it at some point.
Comment 60 Iacopo Benesperi [:iacchi] 2013-04-03 14:59:06 PDT
I just want to report that the problem is verified fixed for our forum user who had the problem with a Samsung Galaxy mini2 GT-S6500.
Comment 61 Iacopo Benesperi [:iacchi] 2013-04-03 15:00:14 PDT
I forgot: he installed the apk given by Aaron in comment 58.
Comment 62 foxxm@yahoo.fr 2013-04-07 03:40:51 PDT
I just installed the APK on my Samsung Galaxy mini2 GT-S6500. The issue seems to be fixed for me.
Comment 63 Aaron Train [:aaronmt] 2013-04-07 07:30:09 PDT
(In reply to Kartikaya Gupta (email:kats@mozilla.com) from comment #54)
> (In reply to Chris Lord [:cwiiis] from comment #46)
> > Created attachment 720740 [details] [diff] [review]
> > Work-around for buggy surface resizing
> 
> Can we land this behind a default-disabled pref? That way at least we have
> some sort of fix for people who run into this problem.

Chris, re ^?
Comment 64 Chris Lord [:cwiiis] 2013-04-08 08:24:59 PDT
(In reply to Aaron Train [:aaronmt] from comment #63)
> (In reply to Kartikaya Gupta (email:kats@mozilla.com) from comment #54)
> > (In reply to Chris Lord [:cwiiis] from comment #46)
> > > Created attachment 720740 [details] [diff] [review]
> > > Work-around for buggy surface resizing
> > 
> > Can we land this behind a default-disabled pref? That way at least we have
> > some sort of fix for people who run into this problem.
> 
> Chris, re ^?

I guess we could, but I'd really rather someone from gfx team looked at this before resorting to that. It's an ugly 'fix' that may well have a much better and widely applicable equivalent.
Comment 65 Chris Lord [:cwiiis] 2013-05-31 06:43:22 PDT
Assigning this to Milan to find a suitable taker in the gfx team - I think we really ought to take a better look at this before committing my awful, awful 'fix' :)

Note, I'll be on PTO for 2 weeks after today, but I'll try to reply to needinfo's.
Comment 66 Aaron Train [:aaronmt] 2013-09-02 09:33:13 PDT
*** Bug 911598 has been marked as a duplicate of this bug. ***
Comment 67 Aaron Train [:aaronmt] 2013-09-02 09:34:21 PDT
Any update here?
Comment 68 foxxm@yahoo.fr 2013-09-19 08:48:54 PDT
Can we have the "awful fix" waiting for a better one, or at least an updated apk (i have stability issues with the actual published in #58).
Comment 69 Kevin Brosnan [:kbrosnan] 2013-09-19 08:51:36 PDT
The awful fix would be a severe performance impact for every other user of Firefox for Android.
Comment 70 foxxm@yahoo.fr 2013-09-19 09:32:23 PDT
It has been mentionned that it could be a default-disabled about:config option.
Comment 71 Milan Sreckovic [:milan] 2013-09-19 12:19:49 PDT
Not sure we can review the java code, but, George, can you get the device from BenWa and see if he remembers the details and see if there is something we can do on our side instead of Chris' "bad" fix?
Comment 72 Brad Lassey [:blassey] (use needinfo?) 2014-10-20 08:27:51 PDT
filter on [mass-p5]

Note You need to log in before you can comment on or make changes to this bug.